Bug 120616 - Python update breaks up2date
Python update breaks up2date
Status: CLOSED DUPLICATE of bug 114059
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 02:06 EDT by Bjorn Solberg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bjorn Solberg 2004-04-12 02:06:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040316

Description of problem:
Upgrading from python2.2 to python-2.3.3-1 is missing libraries:

(from 2.2:)
/usr/lib/python2.2/site-packages/libxml2mod.la
/usr/lib/python2.2/site-packages/libxml2mod.a
/usr/lib/python2.2/site-packages/libxml2mod.so

Manually copying these over to /usr/lib/python2.3/site-packages/ made
up2date work again, albeit with warning:

/usr/lib/python2.3/site-packages/libxml2.py:1: RuntimeWarning: Python
C API version mismatch for module libxml2mod: This Python has API
version 1012, module libxml2mod has version 1011.


Version-Release number of selected component (if applicable):
python-2.3.3-1

How reproducible:
Always

Steps to Reproduce:
1.Have python-2.2
2.Use up2date, upgrade to 2.3
3.
    

Additional info:
Comment 1 Mihai Ibanescu 2004-04-12 09:50:09 EDT

*** This bug has been marked as a duplicate of 114059 ***
Comment 2 Red Hat Bugzilla 2006-02-21 14:02:32 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.